Description: Fix build without Android properties.
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Forwarded: https://gitlab.com/ubports/development/core/deviceinfo/-/merge_requests/1/

--- a/src/platform/platform.cpp
+++ b/src/platform/platform.cpp
@@ -18,12 +18,16 @@

 #include "platform.h"
 #include "linux.h"
-#include "halium.h"
+#ifdef HAS_PROPS
+# include "halium.h"
+#endif

 std::shared_ptr<Platform> Platform::create()
 {
+#ifdef HAS_PROPS
     if (platform::Halium::usable())
         return std::make_shared<platform::Halium>();
+#endif

     // Linux is our fallback
     return std::make_shared<platform::Linux>();
